Uploads
Cancel an upload
Cancels an upload by its identifier.
Pfadparameter
upload_id
string
Erforderlich
The ID of the Upload.
Antworten
The request has succeeded.
Text
id
string
Erforderlich
The Upload unique identifier, which can be referenced in API endpoints.
created_at
integer
Erforderlich
The Unix timestamp (in seconds) for when the Upload was created.
filename
string
Erforderlich
The name of the file to be uploaded.
purpose
string
Erforderlich
The intended purpose of the file. Please refer here for acceptable values.
status
enum
Erforderlich
The status of the Upload.
expires_at
integer
Erforderlich
The Unix timestamp (in seconds) for when the Upload will expire.
object
enum
The object type, which is always "upload".
file
OpenAI.OpenAIFile | null
The ready File object after the Upload is completed.
id
string
Erforderlich
The file identifier, which can be referenced in the API endpoints.
bytes
integer | null
Erforderlich
The size of the file, in bytes. In a completed file upload response, this can be null when the file size is not yet available.
created_at
integer
Erforderlich
The Unix timestamp (in seconds) for when the file was created.
expires_at
integer
The Unix timestamp (in seconds) for when the file will expire. In a completed file upload response, this can be null when no expiry is set.
filename
string
Erforderlich
The name of the file.
object
enum
Erforderlich
The object type, which is always file.
purpose
enum
Erforderlich
The intended purpose of the file. Supported values are assistants, assistants_output, batch, batch_output, fine-tune, fine-tune-results, vision, and user_data.
status
enum
Erforderlich
Deprecated. The current status of the file, which can be either uploaded, processed, or error.
status_details
string
Deprecated. For details on why a fine-tuning training file failed validation, see the error field on fine_tuning.job. Completed file upload responses can return null when these details are unset.
Anfordern
curl https://api.openai.com/v1/uploads/upload_abc123/cancel
import OpenAI from 'openai';
const client = new OpenAI({
apiKey: process.env['OPENAI_API_KEY'], // This is the default and can be omitted
});
const upload = await client.uploads.cancel('upload_abc123');
console.log(upload.id);
import os
from openai import OpenAI
client = OpenAI(
api_key=os.environ.get("OPENAI_API_KEY"), # This is the default and can be omitted
)
upload = client.uploads.cancel(
"upload_abc123",
)
print(upload.id)
package main
import (
"context"
"fmt"
"github.com/openai/openai-go"
"github.com/openai/openai-go/option"
)
func main() {
client := openai.NewClient(
option.WithAPIKey("My API Key"),
)
upload, err := client.Uploads.Cancel(context.TODO(), "upload_abc123")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v
", upload.ID)
}
package com.openai.example;
import com.openai.client.OpenAIClient;
import com.openai.client.okhttp.OpenAIOkHttpClient;
import com.openai.models.uploads.Upload;
import com.openai.models.uploads.UploadCancelParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
OpenAIClient client = OpenAIOkHttpClient.fromEnv();
Upload upload = client.uploads().cancel("upload_abc123");
}
}
require "openai"
openai = OpenAI::Client.new(api_key: "My API Key")
upload = openai.uploads.cancel("upload_abc123")
puts(upload)
Antwort
{
"id": "upload_abc123",
"object": "upload",
"bytes": 2147483648,
"created_at": 1719184911,
"filename": "training_examples.jsonl",
"purpose": "fine-tune",
"status": "cancelled",
"expires_at": 1719127296
}